Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class DMLException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.DMLException

public class DMLException
extends JboException

Indicates a failure to post data to a database.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Field Summary
`static int` | `DML_COMMIT`
`static int` | `DML_DELETE`
`static int` | `DML_INSERT`
`static int` | `DML_ROLLBACK`
`static int` | `DML_SAVEPOINT`
`static int` | `DML_UPDATE`

Constructor Summary
`DMLException(java.lang.Class resBundle, java.lang.String errorCode, java.lang.Object[] params, java.lang.Exception ex)`
`DMLException(int operation, java.lang.String stmt, java.lang.Exception ex)` Creates an exception to be localized using `CSMessageBundle`and error code `EXC_DML_POST_ENTITY`.``

Method Summary
`Row` | `getEntityRow()`
`int` | `getEntityRowHandle()`
`int` | `getOperation()`
`static java.lang.String` | `getOperationString(int operation)`
`void` | `setEntityRow(Row row)`
`void` | `setEntityRowHandle(int hdl)`

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DML_INSERT

    public static final int DML_INSERT

### DML_UPDATE

    public static final int DML_UPDATE

### DML_DELETE

    public static final int DML_DELETE

### DML_ROLLBACK

    public static final int DML_ROLLBACK

### DML_COMMIT

    public static final int DML_COMMIT

### DML_SAVEPOINT

    public static final int DML_SAVEPOINT

Constructor Detail

### DMLException

    public DMLException(int operation,
                        java.lang.String stmt,
                        java.lang.Exception ex)

  Creates an exception to be localized using `CSMessageBundle`and error code `EXC_DML_POST_ENTITY`.``
  Parameters:
    `operation` - the attempted operation.
    `stmt` - the DML statement, the first message parameter.
    `ex` - the exception that spawned this exception, to be added to the details list.

### DMLException

    public DMLException(java.lang.Class resBundle,
                        java.lang.String errorCode,
                        java.lang.Object[] params,
                        java.lang.Exception ex)

Method Detail

### getOperation

    public int getOperation()

### getOperationString

    public static java.lang.String getOperationString(int operation)

### getEntityRowHandle

    public int getEntityRowHandle()

### setEntityRowHandle

    public void setEntityRowHandle(int hdl)

### getEntityRow

    public Row getEntityRow()

### setEntityRow

    public void setEntityRow(Row row)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD